Get an API Key
curl --request GET \
--url https://api.honeycomb.io/2/teams/{teamSlug}/api-keys/{ID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honeycomb.io/2/teams/{teamSlug}/api-keys/{ID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honeycomb.io/2/teams/{teamSlug}/api-keys/{ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "hcxik_12345678901234567890123456",
"type": "api-keys",
"attributes": {
"key_type": "ingest",
"name": "us-west-2 collectors key",
"disabled": false,
"permissions": {
"create_datasets": false
},
"timestamps": {
"created": "2022-09-22T17:32:11Z",
"updated": "2022-10-31T15:08:11Z"
}
},
"relationships": {
"environment": {
"data": {
"id": "hxenv_12345678901234567890123456",
"type": "environments"
}
},
"creator": {
"data": {
"id": "<string>",
"type": "users"
}
},
"editor": {
"data": {
"id": "<string>",
"type": "users"
}
}
},
"links": {
"self": "/2/teams/my-team/api-keys/hcxik_12345678901234567890123456"
}
}
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate Limited"
}{
"error": "something went wrong!",
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"instance": "<string>"
}Get an API Key
Fetches an environment API Key, either a key of type ingest or type configuration based on the
ID given.
GET
/
2
/
teams
/
{teamSlug}
/
api-keys
/
{ID}
Get an API Key
Authorizations
Authenticate using a Honeycomb Management Key.
Pass the Management Key as a Bearer token in the Authorization header:
Authorization: Bearer hcxmk_12345678901234567890123456:12345678901234567890123456789012
Construct the key value by joining the Key ID and Secret with a colon (:).
To learn how to create a Management Key, visit Manage Team API Keys. To learn more about authenticating requests, visit API Authentication.
Response
Success
Show child attributes
Show child attributes
⌘I